/********************************************************************************
 * ePIMSs $Source$
 * ePIMSs $Project$
 *
 * Copyright (c) 2006 - 2011 by ePIMSs						 
 *
 * All rights reserved. This program and the accompanying materials must NOT be
 * copied, used, transferred in any form without the expressed written 
 * permission of the author.	
 *	
 * Removing this notice and using the application does NOT negate the legal 
 * copyright notice.	
 *
 * @initialAPIImplementationBy St Clair Clarke
 *  
 * @author $Author$
 *
 * @source $Source$
 * @path $FPath$
 * @project $Project$
 * @generics $Generics$
 *
 * @lastChangedBy	 $Author$
 * @lastChangedDate $Date$
 *
 * @version $Revision$ $Date$
 *
 * @changeRequest $CR$
 * @state $State$
 ********************************************************************************/


package _com.epimss.lab.ui.util;




import _com.epimss.lab.ui.misc.RequestDateAndNumberViewForm
import com.richclientgui.toolbox.propagate.PropagateComposite;


/**
 * The domain|UI model for the {@link} UI. TODO!
 *
 * @created  May 23, 2011 11:26:16 PM by St Clair Clarke
 * @since    1.0
 * @version  $Revision$ $Date$
 */
class ViewFormHostPropagateCompositeVisibilityToggler
{
    //~ Methods ----------------------------------------------------------------
    
    /**
     * The <code>toggle()</code> method TODO!
     *
     * @created  May 24, 2011 1:47:00 PM by St Clair Clarke
     *
     * @param    requestDateAndNumberViewForm  RequestDateAndNumberViewForm TODO!
     * @param    viewFormHostPrpgteCmpst       PropagateComposite TODO!
     *
     * @since    1.0
     */
    static void toggle( RequestDateAndNumberViewForm requestDateAndNumberViewForm, PropagateComposite viewFormHostPrpgteCmpst )
    {
        if( requestDateAndNumberViewForm.getRequestDateAndNumberForm()
        .isFormValid() )
        {
            viewFormHostPrpgteCmpst.setVisible( true );
            
        }
        else
        {
            viewFormHostPrpgteCmpst.setVisible( false );
            
        }   // end if-else
        
    }   // end method toggle
    
}   // end class ViewFormHostPropagateCompositeVisibilityToggler
